Bug 168529 - system-config-users will not show user properties if shadow passwords aren't used
system-config-users will not show user properties if shadow passwords aren't ...
Status: CLOSED RAWHIDE
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: system-config-users (Show other bugs)
4.0
All Linux
medium Severity medium
: ---
: ---
Assigned To: Nils Philippsen
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-09-16 17:28 EDT by Josef Bacik
Modified: 2007-11-30 17:07 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-09-30 11:10:27 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
patch to fix the not having shadow passwords problem (3.37 KB, patch)
2005-09-16 17:29 EDT, Josef Bacik
no flags Details | Diff

  None (edit)
Description Josef Bacik 2005-09-16 17:28:42 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.10) Gecko/20050719 Red Hat/1.0.6-1.4.1 Firefox/1.0.6

Description of problem:
If you do not have shadow passwords enabled, clicking on users and then properties causes a python traceback to be shown and the dialog does not come up.

Version-Release number of selected component (if applicable):
system-config-users-1.2.27-0.EL4.1

How reproducible:
Always

Steps to Reproduce:
1.dont use shadow passwords
2.click on a user in system-config-users
3.click on properties
  

Actual Results:  the dialog does not come up and a traceback is shown

Traceback (most recent call last):
  File "/usr/share/system-config-users/mainWindow.py", line 739, in on_properties_activate
    self.user_properties()
  File "/usr/share/system-config-users/mainWindow.py", line 748, in user_properties
    self.userProperties.showUserProperties(userEnt)
  File "/usr/share/system-config-users/userProperties.py", line 230, in showUserProperties
    if int(min[0]) == 0 and int(max[0]) == 99999 and int(warning[0]) == 7 and int(inactive[0]) == -1:
IndexError: list index out of range


Expected Results:  should show the dialog and not give a traceback

Additional info:
Comment 1 Josef Bacik 2005-09-16 17:29:41 EDT
Created attachment 118919 [details]
patch to fix the not having shadow passwords problem

this patch checks to see if shadow is enabled, and if its not do not try to
initialize the shadow variables, since they are not needed.
Comment 2 Nils Philippsen 2005-09-30 11:10:27 EDT
Fixed in system-config-users-1.2.40 in Rawhide.

Note You need to log in before you can comment on or make changes to this bug.